HUGIN_STACKER("1")

NAME
hugin_stacker - stack overlapping images to a single image

SYNOPSIS
hugin_stacker [options] --mode=STRING images

DESCRIPTION
hugin_stacker acts on a stack of overlapping images and produces a combined image and/or a set of masked output images.

hugin_stacker is useful for e.g.

•   automatic tourist removal (not only tourists, also other moving objects ;-))

•   noise reduction

•   visualize movement

•   multiplicity

OPTIONS

--mode
    Select stack mode:

    min|minimum|darkest
        Select the darkest pixel.

    max|maximum|brightest
        Select the brightest pixel.

    avg|average|mean
        Calculate the mean for each position.

    median
        Calculate the median for each position.

    winsor
        Calculate the Winsor trimmed mean for each position. The parameter can be set with --winsor-trim=NUMBER (default: 0.2).

    sigma
        Calculate the sigma clipped mean for each position. Fine-tune with --max-sigma=NUMBER (default: 2) and --max-iterations=NUMBER (default: 5).

  Further parameters

--output=FILE
    Set the filename for the output file (if not given final.tif is used).

--compression=value
    Set the compression of the output files. For jpeg files use values between 0 and 100. For tiff files valid values are: PACKBITS, DEFLATE, LZW.

--bigtiff
    Write output in BigTIFF format (only with TIFF output).

  Mask input images

--mask-input
    Beside the stacked output hugin_stacker can also mask the input images (available only for stacking modes median|winsor|clip). This mode is activated with --mask-input. In this case the stacked image is first calculated. Then each pixel in each image is checked: if the value of this pixel differs more then mask sigma * standard deviation from the mean/median, this pixel is made visible. If it is in the mentioned range the pixel is masked out.

--mask-sigma=NUMBER
    sets the sigma parameter for --mask-input. Default is 2.

--mask-suffix=STRING
    Output a separate mask image for each input image named inputfilenameSTRING. Default value is "_mask".

--multi-layer-output
    Output a layered TIFF with the name specified with --output. The file contains the averaged image as layer 0 and all input images as additional layers with the mask as described above.

AUTHORS
POD-format documentation converted from <https://wiki.panotools.org/Hugin_stacker> by Andreas Metzler